Bug 218505 - CVE-2006-6169 GnuPG heap overflow
CVE-2006-6169 GnuPG heap overflow
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks: 218506
  Show dependency treegraph
Reported: 2006-12-05 14:36 EST by Lubomir Kundrak
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0754
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-06 12:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2006-12-05 14:36:19 EST
Description of problem:

If make_printable_string() returns a string longer than one given as an
argument, a heap-based buffer overflow occurs in openfile.c:ask_outfile_name()

Version-Release number of selected component (if applicable):

RHEL-2.1, RHEL-3, RHEL-4, RHEL-5, FC-5, FC-6
Comment 4 Red Hat Bugzilla 2006-12-06 12:54:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.